import 'package:test/test.dart';
import 'package:utilary/utilary.dart';

void main() {
  test("coordinates", () {
    var rect = Rectangle(-1, 2, 3, 4);
    expect(rect.pos, equals(Vector(-1, 2)));
    expect(rect.size, equals(Vector(3, 4)));
    expect(rect.x, equals(-1));
    expect(rect.y, equals(2));
    expect(rect.width, equals(3));
    expect(rect.height, equals(4));

    expect(rect.left, equals(-1));
    expect(rect.top, equals(2));
    expect(rect.right, equals(2));
    expect(rect.bottom, equals(6));
  });
  test("Intersection", () {
    expect(Rectangle.intersection(Rectangle(0, 0, 3, 3), Rectangle(0, 0, 5, 5)), equals(Rectangle(0, 0, 3, 3)));
  });
}